Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::VRuler Class Reference

A GtkVRuler C++ wrapper class. More...

`#include <xfc/gtk/ruler.hh>`

Inheritance diagram for Xfc::Gtk::VRuler:

List of all members.

## Public Member Functions

Constructors

- VRuler ()
    Contruct a new vertical ruler with the default metric type Gtk::PIXELS.
- VRuler (MetricType metric)
    Contruct a new vertical ruler with the metric type set to metric.
- virtual ~VRuler ()
    Destructor.

Accessors

- GtkVRuler * gtk_vruler () const
    Get a pointer to the GtkVRuler structure.
- operator GtkVRuler * () const
    Conversion operator; safely converts a VRuler to a GtkVRuler pointer.

## Protected Member Functions

Constructors

- VRuler (GtkVRuler *vruler, bool owns_reference=false)
    Construct a new VRuler from an existing GtkVRuler.

## Detailed Description

A GtkVRuler C++ wrapper class.

The VRuler widget is a widget arranged vertically creating a ruler that is utilized around other widgets such as a text widget. The ruler is used to show the location of the mouse on the window and to show the size of the window in specified units. The available units of measurement are PIXELS (the default), INCHES and CENTIMETERS.

See also: the Ruler HOWTO and example.

## Constructor & Destructor Documentation

Xfc::Gtk::VRuler::VRuler | ( | GtkVRuler * | vruler,
|  | bool | owns_reference = `false`
| ) | `[explicit, protected]`

  | Construct a new VRuler from an existing GtkVRuler. Parameters:
  | vruler | A pointer to a GtkVRuler.
  | owns_reference | Set false if the initial reference count is floating, set true if it's not.
The vruler can be a newly created GtkVRuler or an existing GtkVRuler (see G::Object::Object).

Xfc::Gtk::VRuler::VRuler | ( | MetricType | metric | ) |

  | Contruct a new vertical ruler with the metric type set to metric. Parameters:
  | metric | The unit of measurement.
Available units are PIXELS, INCHES, or CENTIMETERS.

The documentation for this class was generated from the following file:

- ruler.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3